<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::PropertySet Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1PropertySet.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1PropertySet-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::PropertySet Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A property set is simply a set of properties.  
 <a href="classOpenSim_1_1PropertySet.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5b36555216ee484f9540a00359f02f0d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#a5b36555216ee484f9540a00359f02f0d">PropertySet</a> ()</td></tr>
<tr class="separator:a5b36555216ee484f9540a00359f02f0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7967a1f4b949b2c581845860c09efd4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#af7967a1f4b949b2c581845860c09efd4">PropertySet</a> (const <a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a> &amp;aSet)</td></tr>
<tr class="separator:af7967a1f4b949b2c581845860c09efd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a275f31b2652706b7bd6c96bbbcb70cab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#a275f31b2652706b7bd6c96bbbcb70cab">operator=</a> (const <a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a> &amp;aSet)</td></tr>
<tr class="separator:a275f31b2652706b7bd6c96bbbcb70cab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94da151e6eae058dc5744dbaaee9a8aa"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#a94da151e6eae058dc5744dbaaee9a8aa">~PropertySet</a> ()</td></tr>
<tr class="separator:a94da151e6eae058dc5744dbaaee9a8aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cfd8649f8cc0926e86a29b3c6825723"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#a9cfd8649f8cc0926e86a29b3c6825723">isEmpty</a> () const</td></tr>
<tr class="separator:a9cfd8649f8cc0926e86a29b3c6825723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d00742ad02273efc8e02e41c19ac896"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#a1d00742ad02273efc8e02e41c19ac896">getSize</a> () const</td></tr>
<tr class="separator:a1d00742ad02273efc8e02e41c19ac896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d8696f1d2524c167587770ca670e986"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#a1d8696f1d2524c167587770ca670e986">get</a> (int i)</td></tr>
<tr class="separator:a1d8696f1d2524c167587770ca670e986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afddbf3342eabbfb9203eff115b69a5aa"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#afddbf3342eabbfb9203eff115b69a5aa">get</a> (int i) const</td></tr>
<tr class="separator:afddbf3342eabbfb9203eff115b69a5aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b7389e5f7da75b6f56c58af2d47e775"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#a2b7389e5f7da75b6f56c58af2d47e775">get</a> (const std::string &amp;aName)</td></tr>
<tr class="separator:a2b7389e5f7da75b6f56c58af2d47e775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82859f78c3ab0499d58d90f2ff670690"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#a82859f78c3ab0499d58d90f2ff670690">get</a> (const std::string &amp;aName) const</td></tr>
<tr class="separator:a82859f78c3ab0499d58d90f2ff670690"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0db4114a5c499dfb77414295e2c1648"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#ad0db4114a5c499dfb77414295e2c1648">contains</a> (const std::string &amp;aName) const</td></tr>
<tr class="separator:ad0db4114a5c499dfb77414295e2c1648"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d12a402024e4da0b8263be1255bf71d"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#a5d12a402024e4da0b8263be1255bf71d">contains</a> (const std::string &amp;aName)</td></tr>
<tr class="separator:a5d12a402024e4da0b8263be1255bf71d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a010b821dd3e1d5eeb4e36f651d33fc05"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#a010b821dd3e1d5eeb4e36f651d33fc05">append</a> (<a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *aProperty)</td></tr>
<tr class="separator:a010b821dd3e1d5eeb4e36f651d33fc05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c120ed84985c98d806e9647b2459ef5"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#a6c120ed84985c98d806e9647b2459ef5">append</a> (<a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *aProperty, const std::string &amp;aName)</td></tr>
<tr class="separator:a6c120ed84985c98d806e9647b2459ef5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54daba4cfe9c4f10107db674b41f5f11"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#a54daba4cfe9c4f10107db674b41f5f11">remove</a> (const std::string &amp;aName)</td></tr>
<tr class="separator:a54daba4cfe9c4f10107db674b41f5f11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea9975a8c6de06d5ea12eebf80041b63"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PropertySet.html#aea9975a8c6de06d5ea12eebf80041b63">clear</a> ()</td></tr>
<tr class="separator:aea9975a8c6de06d5ea12eebf80041b63"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>A property set is simply a set of properties. </p>
<p>It provides methods for adding, removing, and retrieving properties from itself.</p>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
<dl class="section author"><dt>Author</dt><dd>Frank C. Anderson </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classOpenSim_1_1Property.html" title="A Property&lt;T&gt; is a serializable (name, list-of-values) pair, where each value is of type T.">Property</a> </dd></dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5b36555216ee484f9540a00359f02f0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b36555216ee484f9540a00359f02f0d">&#9670;&nbsp;</a></span>PropertySet() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::PropertySet::PropertySet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af7967a1f4b949b2c581845860c09efd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7967a1f4b949b2c581845860c09efd4">&#9670;&nbsp;</a></span>PropertySet() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::PropertySet::PropertySet </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a> &amp;&#160;</td>
          <td class="paramname"><em>aSet</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a94da151e6eae058dc5744dbaaee9a8aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94da151e6eae058dc5744dbaaee9a8aa">&#9670;&nbsp;</a></span>~PropertySet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual OpenSim::PropertySet::~PropertySet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a010b821dd3e1d5eeb4e36f651d33fc05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a010b821dd3e1d5eeb4e36f651d33fc05">&#9670;&nbsp;</a></span>append() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void OpenSim::PropertySet::append </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *&#160;</td>
          <td class="paramname"><em>aProperty</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6c120ed84985c98d806e9647b2459ef5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c120ed84985c98d806e9647b2459ef5">&#9670;&nbsp;</a></span>append() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void OpenSim::PropertySet::append </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a> *&#160;</td>
          <td class="paramname"><em>aProperty</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>aName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aea9975a8c6de06d5ea12eebf80041b63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea9975a8c6de06d5ea12eebf80041b63">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void OpenSim::PropertySet::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5d12a402024e4da0b8263be1255bf71d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d12a402024e4da0b8263be1255bf71d">&#9670;&nbsp;</a></span>contains() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a>* OpenSim::PropertySet::contains </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>aName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad0db4114a5c499dfb77414295e2c1648"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0db4114a5c499dfb77414295e2c1648">&#9670;&nbsp;</a></span>contains() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a>* OpenSim::PropertySet::contains </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>aName</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b7389e5f7da75b6f56c58af2d47e775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b7389e5f7da75b6f56c58af2d47e775">&#9670;&nbsp;</a></span>get() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a>* OpenSim::PropertySet::get </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>aName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a82859f78c3ab0499d58d90f2ff670690"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82859f78c3ab0499d58d90f2ff670690">&#9670;&nbsp;</a></span>get() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a>* OpenSim::PropertySet::get </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>aName</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d8696f1d2524c167587770ca670e986"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d8696f1d2524c167587770ca670e986">&#9670;&nbsp;</a></span>get() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a>* OpenSim::PropertySet::get </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afddbf3342eabbfb9203eff115b69a5aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afddbf3342eabbfb9203eff115b69a5aa">&#9670;&nbsp;</a></span>get() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOpenSim_1_1Property__Deprecated.html">Property_Deprecated</a>* OpenSim::PropertySet::get </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d00742ad02273efc8e02e41c19ac896"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d00742ad02273efc8e02e41c19ac896">&#9670;&nbsp;</a></span>getSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int OpenSim::PropertySet::getSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9cfd8649f8cc0926e86a29b3c6825723"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cfd8649f8cc0926e86a29b3c6825723">&#9670;&nbsp;</a></span>isEmpty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OpenSim::PropertySet::isEmpty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a275f31b2652706b7bd6c96bbbcb70cab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a275f31b2652706b7bd6c96bbbcb70cab">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a>&amp; OpenSim::PropertySet::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a> &amp;&#160;</td>
          <td class="paramname"><em>aSet</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a54daba4cfe9c4f10107db674b41f5f11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54daba4cfe9c4f10107db674b41f5f11">&#9670;&nbsp;</a></span>remove()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void OpenSim::PropertySet::remove </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>aName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/PropertySet.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:49 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
